import { Observable } from 'rxjs';
export interface IRetryStratetyConfig {
    /**
     * A delay in miliseconds. Default set to 1000ms
     */
    delay?: number;
    /**
     * Number of maximum attempts.
     */
    maxRetryAttempts?: number;
    /**
     * Factor by whitch the next delay will be multiplied. Default set to 1
     */
    scalingFactor?: number;
    /**
     * List of HTTP codes to be excluded from retrying.
     */
    excludedStatusCodes?: number[];
}
export declare const retryWithDelay: (config?: IRetryStratetyConfig) => <T>(source: Observable<T>) => Observable<T>;
